@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&family=Quicksand:wght@300;400;500;600;700&display=swap");

/* Mobile Responsiveness */
@media (max-width: 480px) {
  .container {
    max-width: 95vw;
    padding: 20px 15px;
  }

  .input-section {
    flex-direction: column; /* Stacks the input and button */
    gap: 15px;
  }

  #add-btn {
    width: 80%; /* Shrinks it to 80% */
    align-self: center; /* Centers the button beautifully */
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Quicksand", sans-serif;
}

body {
  background-color: #121212;
  color: #ffffff;
  display: flex;
  justify-content: center;
  padding-top: 20px;
  min-height: 100vh;
}

.container {
  background-color: #1e1e1e;
  width: 100%;
  max-width: 70vw;
  padding: 30px;
  margin-bottom: 10px;
  border-radius: 10px;
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.5);
}

header {
  text-align: center;
  margin-bottom: 25px;
}

h1 {
  /* 3. Apply Poppins specifically to the header to make it pop */
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  color: #4facfe;
}

/* Input Area */
.input-section {
  display: flex;
  gap: 10px;
  margin-bottom: 30px;
}

#task-input {
  flex: 1;
  padding: 12px;
  border: none;
  border-radius: 5px;
  background-color: #2a2a2a;
  color: #fff;
  font-size: 16px;
  outline: none;
}

#task-input::placeholder {
  color: #888;
}

#add-btn {
  padding: 12px 20px;
  background-color: #4facfe;
  color: #fff;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  transition: 0.2s;
}

#add-btn:hover {
  background-color: #4b99d4;
  color: #000;
}

.edit-btn {
  color: #ffb74d; /* Nice warm orange/yellow */
}
.edit-btn:hover {
  color: #ff9800;
}

/* Task List */
#task-list {
  list-style: none;
}

/* Styles for each task */
.task-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #2a2a2a;
  padding: 15px;
  margin-bottom: 10px;
  border-radius: 5px;
  transition: 0.2s;
}

.task-item:hover {
  transform: scale(1.02);
}

/* Text inside the task */
.task-text {
  flex: 1;
  font-size: 16px;
}

/* class that will be applied to finished tasks */
.completed .task-text {
  text-decoration: line-through;
  color: #888;
}

/* Action Buttons (Check & Trash) */
.action-btns {
  display: flex;
  gap: 15px;
}

.action-btns button {
  background: none;
  border: none;
  font-size: 18px;
  cursor: pointer;
  transition: 0.2s;
}

.check-btn {
  color: #4caf50; /* Green */
}
.check-btn:hover {
  color: #81c784;
}

.delete-btn {
  color: #f44336; /* Red */
}
.delete-btn:hover {
  color: #e57373;
}

/* Mobile Responsiveness */
@media (max-width: 480px) {
  .container {
    max-width: 95vw;
    padding: 20px 15px;
  }
}
